Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.link
Class InclusivePositionUpdater

    java.lang.Object
      org.eclipse.jface.text.link.InclusivePositionUpdater

All Implemented Interfaces:
  IPositionUpdater

public class InclusivePositionUpdater
extends Object
implements IPositionUpdater

Position updater that takes any change in `[position.offset, position.offset + position.length]` as belonging to the position.

Internal class. Do not use. Public for testing purposes only.

Since:
  3.0

Constructor Summary
`InclusivePositionUpdater(String category)` Creates a new updater for the given `category`.

Method Summary
`String` | `getCategory()` Returns the position category.
`void` | `update(DocumentEvent event)` Adapts positions to the change specified by the document event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InclusivePositionUpdater

    public InclusivePositionUpdater(String category)

  Creates a new updater for the given `category`.

Parameters:
  `category` - the new category.

Method Detail

### update

    public void update(DocumentEvent event)

  Description copied from interface: `IPositionUpdater`
  Adapts positions to the change specified by the document event. It is ensured that the document's partitioning has been adapted to this document change and that all the position updaters which have a smaller index in the document's position updater list have been called.

  Specified by:
    `update` in interface `IPositionUpdater`
  Parameters:
    `event` - the document event describing the document change

### getCategory

    public String getCategory()

  Returns the position category.

  Returns:
    the position category

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.